E invoicing

List E-Invoicing Customers

Retrieve paginated e-invoicing customers for the authenticated business.

GET
/api/v1/e-invoicing/customers

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

reference?string
search?string
sort?string
limit?integer
page?integer

Response Body

application/json

curl -X GET "https://example.com/api/v1/e-invoicing/customers"
{
  "requestId": "3a6538fd-03f0-4b05-ba41-5d44769dd014",
  "requestTimestamp": "2026-05-14 14:02:37",
  "message": "Customers retrieved successfully.",
  "statusCode": 200,
  "data": [
    {
      "id": "019e26cb-e650-726d-bad6-95564a020b4a",
      "firstName": "John",
      "lastName": "Doe",
      "email": "john.doe@example.com",
      "phoneNumber": "+2348098765432",
      "reference": "dp_cust_hrxp0rpkhlyc6r8",
      "businessState": "test",
      "isBlacklisted": false,
      "hasWallet": false,
      "hasNrsCustomer": true,
      "wallet": {},
      "status": "ACTIVE",
      "source": "API",
      "createdAt": "2026-05-14 14:02:37"
    }
  ],
  "links": {
    "first": "{baseUrl}/api/v1/e-invoicing/customers?page=1",
    "last": "{baseUrl}/api/v1/e-invoicing/customers?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "{baseUrl}/api/v1/e-invoicing/customers",
    "per_page": 10,
    "to": 1,
    "total": 1
  }
}
Empty
Empty

How is this guide?